/*

  $Id: atbus.h,v 1.8 2002/04/25 23:33:30 machek Exp $

  G N O K I I

  A Linux/Unix toolset and driver for mobile phones.

  This file is part of gnokii.

  Gnokii is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  Gnokii is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with gnokii; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  Copyright 2001 Manfred Jonsson <manfred.jonsson@gmx.de>

*/

#ifndef __atbus_h
#define __atbus_h

GSM_Error ATBUS_Initialise(GSM_Statemachine *state, int mode);

/* Define some result/error codes internal to the AT command functions.
   Also define a code for an unterminated message. */

typedef enum {
	GEAT_NONE,		/* NO or unknown result code */
	GEAT_PROMPT,		/* SMS command waiting for input */
	GEAT_OK,		/* Command succceded */
	GEAT_ERROR,		/* Command failed */
	GEAT_CMS,		/* SMS Command failed */
	GEAT_CME,		/* Extended error code found */
} GSMAT_Result;

#endif   /* #ifndef __atbus_h */
